## org.eclipse.datatools.enablement.sybase.asa.ddl
Class SybaseASADdlGenerator

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator
          org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator
              org.eclipse.datatools.enablement.sybase.asa.ddl.SybaseASADdlGenerator

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, DDLGenerator, ISybaseDdlGenerator

    public class SybaseASADdlGenerator

extends SybaseDdlGenerator
implements DDLGenerator, org.eclipse.core.runtime.IExecutableExtension

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator
`GenericDdlGenerator.SingletonOptionDependency`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator
`GENERATE_COMMENTS_GEN_OPTION_INDEX, GENERATE_CREATE_STATEMENTS_GEN_OPTION_INDEX, GENERATE_DROP_STATEMENTS_GEN_OPTION_INDEX, GENERATE_FULL_SYNTAX_GEN_OPTION_INDEX, GENERATE_FULLY_QUALIFIED_NAME_GEN_OPTION_INDEX, GENERATE_PRIVILEGES_GEN_OPTION_INDEX, GENERATE_QUOTED_IDENTIFIER_GEN_OPTION_INDEX, GENERATE_SETUSER_GEN_OPTION_INDEX, GENERATE_USEDATABASE_GEN_OPTION_INDEX`

Constructor Summary
`SybaseASADdlGenerator()`

Method Summary
`java.lang.String[]` `createSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`void` `createStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor progressMonitor, int task)`
`java.lang.String[]` `dropSQLObjectsForDeltaDDL(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)` Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`.
`void` `dropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor progressMonitor, int task)`
`byte[]` `getAdditionalOptionIndices(int objectType)`
`byte[]` `getExclusiveAdditionalOptionIndices(int objectType)`
`byte[]` `getGenerationOptionIndices(int objectType)`
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlGenerator

`createEngineeringOption, createGenerationOptions, createOptions, createSQLObjects, createSQLObjects, createSQLObjects, dropSQLObjects, dropSQLObjects, generateDDL, generateDDL, generateFullSyntax, generateSetUser, generateUseDatabase, getAdditionalOptions, getCommonAdditionalOptionIndices, getCommonGenerateOptionIndices, getGenerationOptions, getOptionByID, getOptions, getParameter, getSybaseDdlBuilder, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator

`createSQLObjects, dropSQLObjects, generateAssertions, generateCKConstraints, generateCommentStatement, generateCreateStatement, generateDatabase, generateDDL, generateDropStatement, generateFKConstraints, generateFullyQualifiedNames, generateFunctions, generateIndexes, generatePKConstraints, generateQuotedIdentifiers, generateSchemas, generateSequences, generateStoredProcedures, generateTables, generateTriggers, generateUserDefinedTypes, generateViews, getOptionCategories, getOptions, getSelectedOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.rte.DDLGenerator
`createSQLObjects, createSQLObjects, dropSQLObjects, dropSQLObjects, generateDDL, generateDDL, getOptionCategories, getOptions`

Constructor Detail

### SybaseASADdlGenerator

    public SybaseASADdlGenerator()

Method Detail

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### createStatement

    public void createStatement(SQLObject element,
                                boolean quoteIdentifiers,
                                boolean qualifyNames,
                                boolean fullSyntax,
                                SybaseDdlScript script,
                                org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                int task)

  Overrides:
    `createStatement` in class `SybaseDdlGenerator`

### dropStatement

    public void dropStatement(SQLObject element,
                              boolean quoteIdentifiers,
                              boolean qualifyNames,
                              SybaseDdlScript script,
                              org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                              int task)

  Overrides:
    `dropStatement` in class `SybaseDdlGenerator`

### getAdditionalOptionIndices

    public byte[] getAdditionalOptionIndices(int objectType)

  Specified by:
    `getAdditionalOptionIndices` in class `SybaseDdlGenerator`
  Parameters:
    `objectType` - database object type
  Returns:
    additional database option indices

### getGenerationOptionIndices

    public byte[] getGenerationOptionIndices(int objectType)

  Specified by:
    `getGenerationOptionIndices` in class `SybaseDdlGenerator`

### getExclusiveAdditionalOptionIndices

    public byte[] getExclusiveAdditionalOptionIndices(int objectType)

  Specified by:
    `getExclusiveAdditionalOptionIndices` in class `SybaseDdlGenerator`

### dropSQLObjectsForDeltaDDL

    public java.lang.String[] dropSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                        boolean quoteIdentifiers,
                                                        boolean qualifyNames,
                                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Description copied from interface: `ISybaseDdlGenerator`
  Delta ddl version of `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Specified by:
    `dropSQLObjectsForDeltaDDL` in interface `ISybaseDdlGenerator`
  Returns:

### createSQLObjectsForDeltaDDL

    public java.lang.String[] createSQLObjectsForDeltaDDL(SQLObject[] elements,
                                                          boolean quoteIdentifiers,
                                                          boolean qualifyNames,
                                                          boolean fullSyntax,
                                                          org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Description copied from interface: `ISybaseDdlGenerator`
  Delta ddl version of `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`. Different with `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`, this method should not generate "use db statements", because the framework has already done this.

  Specified by:
    `createSQLObjectsForDeltaDDL` in interface `ISybaseDdlGenerator`
  Returns: